﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanyFinancialAnalysisInsertUpdateViewModel

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}

<script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>

<script type="text/javascript">
    $(document).ready(function () {

        //$("#OtherFinancialDatePicker").datepicker({
        //    dateFormat: "dd/MM/yy",
        //    changeMonth: true,
        //    changeYear: true,
        //    yearRange: "1950:2099"
        //});

        // var monthNames = [
        //    "", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"
        //];

        //var temp = $('#OtherFinancialDatePicker').val();
        //var arr1 = temp.split('-');
        //var arr2 = arr1[2].split(' 00:00:00');
        //var year = arr2[0];
        //var day = arr1[0];
        //var month = arr1[1];

        //var Month = month.split('0');
        //if (Month[0] == "") {
        //    var date = day + '/' + monthNames[Month[1]] + '/' + year;
        //}
        //else {
        //    var date = day + '/' + monthNames[Month[0]] + '/' + year;
        //}

        //$('#OtherFinancialDatePicker').val(date);


        $(".valueKeyUp").keyup(function (e) {
            var val = $(this).val();
            if (isNaN(val)) {
                val = val.replace(/[^0-9\.]/g, '');
                if (val.split('.').length > 2)
                    val = val.replace(/\.+$/, "");
            }
            $(this).val(val);
        });



        //$(".btnValidate").click(function (e) {
        //    debugger;
        //    var selectedValue = $("#ValueConversionId option:selected").text();
        //    if (selectedValue == "Please select" || selectedValue == "" || selectedValue == undefined) {
        //        e.preventDefault();
        //        alert("Please select value from value dropdown");
        //    }
        //    else {
        //        return true;
        //    }
        //});


        $("#expensesFour").hide();
        $("#expensesFive").hide();
        $("#expensesSix").hide();
        $("#expensesSeven").hide();
        var rowCount = @Model.RowCount;

        $('#addNewRow').click(function (e) {
                if (rowCount == 4) {
                    $("#expensesFour").show();
                    rowCount++
                }
                else if (rowCount == 5) {
                    $("#expensesFive").show();
                    rowCount++
                }
                else if (rowCount == 6) {
                    $("#expensesSix").show();
                    rowCount++
                }
                else if (rowCount == 7) {
                    $("#expensesSeven").show();
                }
        });
    });
</script>
@using (Html.BeginForm("Post", "CompanyFinancialAnalysis", FormMethod.Post, new { @class = "" }))
{
    <div id="content" class="content" style="margin-top:25px;">
        <div class="section-with-top-border">
            <div class="row">
                <div class="col-lg-6">
                    <div class="clearfix">
                        <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="clearfix">
                        <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                    </div>
                </div>
            </div>
        </div>
        <!-- end section-container -->
        <div class="section-with-top-border p-b-10">
            <div class="row">
                <div class="col-md-4">
                    <div class="form-horizontal">
                        <div class="form-group m-b-10">
                            <label class="col-lg-2 col-form-label">Currency</label>
                            <div class="col-lg-7">
                                @Html.HiddenFor(e => e.companyFinancialAnalysisInsertUpdateViewModel.CompanyId)
                                @Html.HiddenFor(e => e.ProjectId)
                                @Html.DropDownListFor(m => m.companyFinancialAnalysisInsertUpdateViewModel.CurrencyId, (SelectList)(ViewBag.CurrencyViewModel), "Please select", new { @class = "form-control" })

                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-horizontal">
                        <div class="form-group m-b-10">
                            <label class="col-lg-2 col-form-label">Unit</label>
                            <div class="col-lg-7">
                                @*@Html.HiddenFor(Model => Model.ValueConversionId)*@
                                @Html.DropDownListFor(Model => Model.ValueConversionId, (SelectList)ViewBag.ValueConversionList, "Please select", new { @class = "form-control" })
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- begin section-container -->
        <!-- begin section-container -->
        <!-- revenue table -->
        <div class="section-with-top-border p-b-10">
            <!-- begin row -->
            <div id="table-scroll" class="table-scroll">
                <div class="table-wrap">
                    <table class="table table-bordered main-table maintable">
                        <thead>
                            <tr>
                                <th class="fixed-side" scope="col">&nbsp;</th>
                                @foreach (var item in ViewBag.BaseYearsFrom.Items)
                                {
                                    <th scope="col" class="text-center" name="baseyear">@item.Period</th>
                                }
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <th class="fixed-side text-lg">
                                    <h4> Expenses Breakdown</h4>
                                </th>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                            </tr>
                            @{
                                var TotalExpenses = Model.expensesBreakdownViewModel.Where(p => p.ExpensesType.Equals("Total Expenses")).FirstOrDefault();
                            }
                            @if (TotalExpenses != null)
                            {
                                for (int i = 0; i < Model.expensesBreakdownViewModel.Count; i++)
                                {
                                    if (Model.expensesBreakdownViewModel[i].ExpensesType == "Total Expenses")
                                    {
                                        <tr>
                                            <th class="fixed-side text-decoration">Total Expenses</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB1" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB2" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB3" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB4" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB5" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side text-decoration">Total Expenses</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="TotalExpensesB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var Expense01 = Model.expensesBreakdownViewModel.Where(p => p.ExpensesType.Equals("Expense-01")).FirstOrDefault();
                            }
                            @if (Expense01 != null)
                            {
                                for (int i = 0; i < Model.expensesBreakdownViewModel.Count; i++)
                                {
                                    if (Model.expensesBreakdownViewModel[i].ExpensesType == "Expense-01")
                                    {
                                        <tr>
                                            <th class="fixed-side text-decoration">Expense-01</th>
                                            <td><input type="text" class="form-contro  valueKeyUp" name="Expense1B1" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense1B2" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense1B3" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense1B4" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense1B5" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Expense-01</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense1B1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense1B2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense1B3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense1B4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense1B5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var Expense02 = Model.expensesBreakdownViewModel.Where(p => p.ExpensesType.Equals("Expense-02")).FirstOrDefault();
                            }
                            @if (Expense02 != null)
                            {
                                for (int i = 0; i < Model.expensesBreakdownViewModel.Count; i++)
                                {
                                    if (Model.expensesBreakdownViewModel[i].ExpensesType == "Expense-02")
                                    {
                                        <tr>
                                            <th class="fixed-side text-decoration">Expense-02</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense2B1" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense2B2" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense2B3" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense2B4" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense2B5" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>

                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Expense-02</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense2B1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense2B2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense2B3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense2B4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense2B5" placeholder="Default input" /></td>
                                </tr>
                            }

                            @{
                                var Expense03 = Model.expensesBreakdownViewModel.Where(p => p.ExpensesType.Equals("Expense-03")).FirstOrDefault();
                            }
                            @if (Expense03 != null)
                            {
                                for (int i = 0; i < Model.expensesBreakdownViewModel.Count; i++)
                                {
                                    if (Model.expensesBreakdownViewModel[i].ExpensesType == "Expense-03")
                                    {
                                        <tr>
                                            <th class="fixed-side text-decoration">Expense-03</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense3B1" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense3B2" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense3B3" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense3B4" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense3B5" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Expense-03</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense3B1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense3B2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense3B3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense3B4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense3B5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var Expense04 = Model.expensesBreakdownViewModel.Where(p => p.ExpensesType.Equals("Expense-04")).FirstOrDefault();
                            }
                            @if (Expense04 != null)
                            {
                                for (int i = 0; i < Model.expensesBreakdownViewModel.Count; i++)
                                {
                                    if (Model.expensesBreakdownViewModel[i].ExpensesType == "Expense-04")
                                    {
                                        <tr>
                                            <th class="fixed-side text-decoration">Expense-04</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense4B1" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense4B2" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense4B3" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense4B4" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense4B5" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                    }
                                }
                            }
                            else
                            {
                                <tr id="expensesFour">
                                    <th class="fixed-side">Expense-04</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense4B1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense4B2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense4B3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense4B4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense4B5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var Expense05 = Model.expensesBreakdownViewModel.Where(p => p.ExpensesType.Equals("Expense-05")).FirstOrDefault();
                            }
                            @if (Expense05 != null)
                            {
                                for (int i = 0; i < Model.expensesBreakdownViewModel.Count; i++)
                                {
                                    if (Model.expensesBreakdownViewModel[i].ExpensesType == "Expense-05")
                                    {
                                        <tr>
                                            <th class="fixed-side text-decoration">Expense-05</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense5B1" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense5B2" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense5B3" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense5B4" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense5B5" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                    }
                                }
                            }
                            else
                            {
                                <tr id="expensesFive">
                                    <th class="fixed-side">Expense-05</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense5B1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense5B2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense5B3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense5B4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense5B5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var Expense06 = Model.expensesBreakdownViewModel.Where(p => p.ExpensesType.Equals("Expense-06")).FirstOrDefault();
                            }
                            @if (Expense06 != null)
                            {
                                for (int i = 0; i < Model.expensesBreakdownViewModel.Count; i++)
                                {
                                    if (Model.expensesBreakdownViewModel[i].ExpensesType == "Expense-06")
                                    {
                                        <tr>
                                            <th class="fixed-side text-decoration">Expense-06</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense6B1" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense6B2" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense6B3" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense6B4" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense6B5" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                    }
                                }
                            }
                            else
                            {
                                <tr id="expensesSix">
                                    <th class="fixed-side">Expense-06</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense6B1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense6B2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense6B3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense6B4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense6B5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var Expense07 = Model.expensesBreakdownViewModel.Where(p => p.ExpensesType.Equals("Expense-07")).FirstOrDefault();
                            }
                            @if (Expense07 != null)
                            {
                                for (int i = 0; i < Model.expensesBreakdownViewModel.Count; i++)
                                {
                                    if (Model.expensesBreakdownViewModel[i].ExpensesType == "Expense-07")
                                    {
                                        <tr>
                                            <th class="fixed-side text-decoration">Expense-07</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense7B1" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense7B2" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense7B3" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense7B4" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="Expense7B5" placeholder="Default input" value="@Model.expensesBreakdownViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                    }
                                }
                            }
                            else
                            {
                                <tr id="expensesSeven">
                                    <th class="fixed-side">Expense-07</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense7B1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense7B2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense7B3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense7B4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="Expense7B5" placeholder="Default input" /></td>
                                </tr>
                            }

                            <tr>
                                <th class="fixed-side text-decoration">
                                </th>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td class="text-right">
                                    <button type="button" name="actionName" value="AddRow" class="btn btn-grey m-b-5">
                                        <i class="fas fa-plus-circle" id="addNewRow"></i>
                                    </button>
                                </td>
                            </tr>
                            <tr>
                                <th class="fixed-side text-decoration">
                                    <h4>Assets & Liabilities</h4>
                                </th>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                            </tr>
                            @{
                                var Cash = Model.assetsLiabilitiesViewModels.Where(p => p.AssetsType.Equals("Cash")).FirstOrDefault();
                            }
                            @if (Cash != null)
                            {
                                for (int i = 0; i < Model.assetsLiabilitiesViewModels.Count; i++)
                                {
                                    if (Model.assetsLiabilitiesViewModels[i].AssetsType == "Cash")
                                    {
                                        <tr>
                                            <th class="fixed-side">Cash</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashB1" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashB2" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashB3" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashB4" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashB5" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Cash</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var CashEquivalents = Model.assetsLiabilitiesViewModels.Where(p => p.AssetsType.Equals("Cash Equivalents")).FirstOrDefault();
                            }
                            @if (CashEquivalents != null)
                            {
                                for (int i = 0; i < Model.assetsLiabilitiesViewModels.Count; i++)
                                {
                                    if (Model.assetsLiabilitiesViewModels[i].AssetsType == "Cash Equivalents")
                                    {
                                        <tr>
                                            <th class="fixed-side">Cash Equivalents</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashEquiB1" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashEquiB2" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashEquiB3" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashEquiB4" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="CashEquiB5" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Cash Equivalents</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashEquiB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashEquiB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashEquiB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashEquiB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="CashEquiB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var ShortTerm = Model.assetsLiabilitiesViewModels.Where(p => p.AssetsType.Equals("Debt-Short Term")).FirstOrDefault();
                            }
                            @if (ShortTerm != null)
                            {
                                for (int i = 0; i < Model.assetsLiabilitiesViewModels.Count; i++)
                                {
                                    if (Model.assetsLiabilitiesViewModels[i].AssetsType == "Debt-Short Term")
                                    {
                                        <tr>
                                            <th class="fixed-side">Debt-Short Term</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="ShortTermB1" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="ShortTermB2" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="ShortTermB3" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="ShortTermB4" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="ShortTermB5" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Debt-Short Term</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="ShortTermB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="ShortTermB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="ShortTermB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="ShortTermB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="ShortTermB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var LongTerm = Model.assetsLiabilitiesViewModels.Where(p => p.AssetsType.Equals("Debt-Long Term")).FirstOrDefault();
                            }
                            @if (LongTerm != null)
                            {
                                for (int i = 0; i < Model.assetsLiabilitiesViewModels.Count; i++)
                                {
                                    if (Model.assetsLiabilitiesViewModels[i].AssetsType == "Debt-Long Term")
                                    {
                                        <tr>
                                            <th class="fixed-side">Debt-Long Term</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="LongTermB1" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="LongTermB2" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="LongTermB3" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="LongTermB4" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="LongTermB5" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Debt-Long Term</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="LongTermB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="LongTermB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="LongTermB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="LongTermB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="LongTermB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var MinorityInterest = Model.assetsLiabilitiesViewModels.Where(p => p.AssetsType.Equals("Minority Interest")).FirstOrDefault();
                            }
                            @if (MinorityInterest != null)
                            {
                                for (int i = 0; i < Model.assetsLiabilitiesViewModels.Count; i++)
                                {
                                    if (Model.assetsLiabilitiesViewModels[i].AssetsType == "Minority Interest")
                                    {
                                        <tr>
                                            <th class="fixed-side">Minority Interest</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="MinorityB1" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="MinorityB2" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="MinorityB3" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="MinorityB4" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="MinorityB5" placeholder="Default input" value="@Model.assetsLiabilitiesViewModels[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Minority Interest</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="MinorityB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="MinorityB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="MinorityB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="MinorityB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="MinorityB5" placeholder="Default input" /></td>
                                </tr>
                            }

                            <tr>
                                <th class="fixed-side text-decoration">
                                    <h4>Cash Flows</h4>
                                </th>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                            </tr>
                            @{
                                var OpeningBalance = Model.cashFlowsViewModel.Where(p => p.CashFlowType.Equals("Opening Balance")).FirstOrDefault();
                            }
                            @if (OpeningBalance != null)
                            {
                                for (int i = 0; i < Model.cashFlowsViewModel.Count; i++)
                                {
                                    if (Model.cashFlowsViewModel[i].CashFlowType == "Opening Balance")
                                    {
                                        <tr>
                                            <th class="fixed-side">Opening Balance</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB1" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB2" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB3" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB4" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB5" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Opening Balance</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="OpeningBalB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var FromOperatingActivities = Model.cashFlowsViewModel.Where(p => p.CashFlowType.Equals("From Operating Activities")).FirstOrDefault();
                            }
                            @if (FromOperatingActivities != null)
                            {
                                for (int i = 0; i < Model.cashFlowsViewModel.Count; i++)
                                {
                                    if (Model.cashFlowsViewModel[i].CashFlowType == "From Operating Activities")
                                    {
                                        <tr>
                                            <th class="fixed-side">From Operating Activities</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="OperatingActB1" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="OperatingActB2" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="OperatingActB3" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="OperatingActB4" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="OperatingActB5" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">From Operating Activities</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="OperatingActB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="OperatingActB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="OperatingActB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="OperatingActB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="OperatingActB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var FromFinancingActivities = Model.cashFlowsViewModel.Where(p => p.CashFlowType.Equals("From Financing Activities")).FirstOrDefault();
                            }
                            @if (FromFinancingActivities != null)
                            {
                                for (int i = 0; i < Model.cashFlowsViewModel.Count; i++)
                                {
                                    if (Model.cashFlowsViewModel[i].CashFlowType == "From Financing Activities")
                                    {
                                        <tr>
                                            <th class="fixed-side">From Financing Activities</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="FinancingActB1" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="FinancingActB2" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="FinancingActB3" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="FinancingActB4" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="FinancingActB5" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">From Financing Activities</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="FinancingActB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="FinancingActB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="FinancingActB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="FinancingActB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="FinancingActB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var FromInvestingActivities = Model.cashFlowsViewModel.Where(p => p.CashFlowType.Equals("From Investing Activities")).FirstOrDefault();
                            }
                            @if (FromInvestingActivities != null)
                            {
                                for (int i = 0; i < Model.cashFlowsViewModel.Count; i++)
                                {
                                    if (Model.cashFlowsViewModel[i].CashFlowType == "From Investing Activities")
                                    {
                                        <tr>
                                            <th class="fixed-side">From Investing Activities</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="InvestingActB1" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="InvestingActB2" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="InvestingActB3" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="InvestingActB4" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="InvestingActB5" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">From Investing Activities</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="InvestingActB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="InvestingActB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="InvestingActB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="InvestingActB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="InvestingActB5" placeholder="Default input" /></td>
                                </tr>
                            }
                            @{
                                var ClosingBalance = Model.cashFlowsViewModel.Where(p => p.CashFlowType.Equals("Closing Balance")).FirstOrDefault();
                            }
                            @if (ClosingBalance != null)
                            {
                                for (int i = 0; i < Model.cashFlowsViewModel.Count; i++)
                                {
                                    if (Model.cashFlowsViewModel[i].CashFlowType == "Closing Balance")
                                    {
                                        <tr>
                                            <th class="fixed-side">Closing Balance</th>
                                            <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB1" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_1" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB2" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_2" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB3" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_3" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB4" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_4" /></td>
                                            <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB5" placeholder="Default input" value="@Model.cashFlowsViewModel[i].BaseYearMinus_5" /></td>
                                        </tr>
                                        break;
                                    }
                                }
                            }
                            else
                            {
                                <tr>
                                    <th class="fixed-side">Closing Balance</th>
                                    <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB1" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB2" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB3" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB4" placeholder="Default input" /></td>
                                    <td><input type="text" class="form-control valueKeyUp" name="ClosingBalB5" placeholder="Default input" /></td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- end row -->
        </div>

        <div class="table-responsive">
            <h3>Transactions</h3>
            <table class="table table-bordered table-hover table-td-valign-middle">
                <thead>
                    <tr class="inverse">
                        <th width="10%" class="text-center" colspan="3">Category<span class="text-danger"></span></th>
                        <th width="10%" class="text-center">Value</th>
                        <th width="10%" class="text-center">Other Party<span class="text-danger"></span></th>
                        <th width="10%" class="text-center">Date<span class="text-danger"></span></th>
                        <th width="60%" class="text-center">Rationale</th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model.companyTransactionsInsertUpdateViewModel != null && Model.companyTransactionsInsertUpdateViewModel.Count > 0)
                    {
                        @for (int i = 0; i < Model.companyTransactionsInsertUpdateViewModel.Count; i++)
                        {
                            @Html.HiddenFor(Model => Model.companyTransactionsInsertUpdateViewModel[i].Id);
                            <tr>
                                <td class="text-center" colspan="3">
                                    @*@Html.HiddenFor(e => e.companyTransactionsInsertUpdateViewModel.FirstOrDefault().CategoryId)*@
                                    @Html.DropDownListFor(m => m.companyTransactionsInsertUpdateViewModel[i].CategoryId, (SelectList)(ViewBag.CategoryViewModel), "Please select", new { @class = "form-control", @name = "CurrencyId" })
                                </td>
                                <td class="text-center">
                                    @Html.EditorFor(Model => Model.companyTransactionsInsertUpdateViewModel[i].Value, new { htmlAttributes = new { @class = "form-control form-control-sm valueKeyUp" } })
                                </td>
                                <td class="text-center">
                                    @Html.EditorFor(Model => Model.companyTransactionsInsertUpdateViewModel[i].OtherParty, new { htmlAttributes = new { @class = "form-control form-control-sm" } })
                                </td>
                                <td class="text-center">
                                    @Html.EditorFor(Model => Model.companyTransactionsInsertUpdateViewModel[i].Date, new { htmlAttributes = new { @class = "form-control form-control-sm", @id = "OtherFinancialDatePicker" } })
                                </td>
                                <td class="text-center">
                                    @Html.EditorFor(Model => Model.companyTransactionsInsertUpdateViewModel[i].Rationale, new { htmlAttributes = new { @class = "form-control form-control-sm" } })
                                </td>
                            </tr>
                        }
                    }

                </tbody>
            </table>
        </div>
        <!-- begin section-container -->
        <div class="section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes</h4>
                        </div>
                        @Html.TextAreaFor(m => m.companyFinancialAnalysisInsertUpdateViewModel.AuthorNotes, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })

                        <script type="text/javascript">
                            CKEDITOR.replace('companyFinancialAnalysisInsertUpdateViewModel.AuthorNotes', {
                                // Define the toolbar groups as it is a more accessible solution.
                                height: 90,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },

                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },

                                {
                                    "name": "paragraph",

                                    "groups": ["list", "blocks"]

                                },

                                {

                                    "name": "document",
                                    "groups": ["mode"]
                                },

                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },

                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },

                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],

                                // Remove the redundant buttons from toolbar groups defined above.
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });

                        </script>

                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @*<textarea class="form-control no-rounded-corner"
                            rows="6">This is a form textarea.</textarea>*@
                        @Html.TextAreaFor(m => m.companyFinancialAnalysisInsertUpdateViewModel.ApproverNotes, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })

                        <script type="text/javascript">
                            CKEDITOR.replace('companyFinancialAnalysisInsertUpdateViewModel.ApproverNotes', {
                                // Define the toolbar groups as it is a more accessible solution.
                                height: 90,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },

                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },

                                {
                                    "name": "paragraph",

                                    "groups": ["list", "blocks"]

                                },

                                {

                                    "name": "document",
                                    "groups": ["mode"]
                                },

                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },

                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },

                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],

                                // Remove the redundant buttons from toolbar groups defined above.
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });

                        </script>

                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        @*<div class="section-with-top-border p-b-10">
                @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
            </div>*@
        <div class="section-container section-with-top-border p-b-10">
            <div style="text-align: center;">
                <p>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Previous</button>
                    <button type="submit" name="actionName" value="Save" class="btn btn-grey m-b-5 btnValidate">Save</button>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Cancel</button>
                    <button type="submit" name="actionName" value="Submit" class="btn btn-grey m-b-5 btnValidate">Submit</button>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Approve</button>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Reject</button>
                    <button type="button" name="actionName" class="btn btn-grey m-b-5">Next</button>
                </p>
            </div>
        </div>
    </div>
}


